%define name	qmmp-plugins
%define version	1.1.3
%define release	%mkrel 1
%define summary	Plugins for Qmmp

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Summary(de):	Erweiterungen für Qmmp
Source0:	qmmp-plugin-pack-%{version}.tar.xz
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
BuildRoot:	%{_tmppath}/qmmp-plugin-pack-%{version}-%{release}-buildroot
BuildRequires:	qmmp-devel
BuildRequires:	taglib-devel
BuildRequires:	%{_lib}mpg123-devel
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	qtcore5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	libsamplerate-devel

%description
This package contains plugins for Qmmp.

%description -l de
Dieses Paket enthält Erweiterungen für Qmmp.

%package -n %{name}-mpg123
Group:		Sound
Summary:	Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files
Summary(de):	Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.
Requires:	qmmp >= %{version}

%description -n %{name}-mpg123
Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files

%description -n %{name}-mpg123 -l de
Qmmp Erweiterung, welche libmpg123 für die Dekodierung von MPEG v1/2 Layer 1/2/3 Dateien nutzt.

%package -n %{name}-ffap
Group:		Sound
Summary:	Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)
Summary(de):	Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)
Requires:	qmmp >= %{version}

%description -n %{name}-ffap
Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)

%description -n %{name}-ffap -l de
Verbesserter Monkey Audio (APE) Dekoder (24-bit Samples und integrierte CUE Unterstützung)

%package -n %{name}-samplerateconverter
Group:		Sound
Summary:	Sample Rate Converter - resampler based on libsamplerate library
Summary(de):	Resampler, der auf der libsamplerate-Bibliothek basiert
Requires:	qmmp >= %{version}

%description -n %{name}-samplerateconverter
Sample Rate Converter - resampler based on libsamplerate library

%description -n %{name}-samplerateconverter -l de
Resampler, der auf der libsamplerate-Bibliothek basiert


%prep
%setup -qn qmmp-plugin-pack-%version

%build

%cmake_qt5
%make %{?_smp_mflags}

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
%clean
rm -rf %{buildroot}

%files -n %{name}-mpg123
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libmpg123.so

%files -n %{name}-ffap
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libffap.so

%files -n %{name}-samplerateconverter
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Effect/libsrconverter.so

%changelog
* Sun Apr 02 2017 adrianomorselli <adrianomorselli> 1.1.3-1uplos2017
- switch to qt5 build
- add samplerateconverter package
